use fhash::hash64;

fn main() {
    let mut hash = 0;
    let mut total_bits: u64 = 0;
    let mut same_bits: u64 = 0;
    loop {
        let new_hash = hash64(hash);

        total_bits += 64;

        let new_hash_same_bits = ((!hash) ^ new_hash).count_ones();
        same_bits += new_hash_same_bits as u64;

        hash = new_hash;

        // println!("total_bits: {} same_bits: {}", total_bits, same_bits);
        println!("{}", same_bits as f64 / total_bits as f64);
    }
}
